Page MenuHomePhabricator

[Task] Add monolingual language code mn-Mong
Closed, DeclinedPublic

Description

Please add the language code mn-Mong to the list of language codes supported for monolingual text values.

Usage example: {{lang|mn-Mong|ᠮᠣᠩᠭᠣᠯ ᠪᠢᠴᠢᠭ}} (idealy with {{MongolUnicode|{{lang|mn-Mong|ᠮᠣᠩᠭᠣᠯ ᠪᠢᠴᠢᠭ}}}} to be displayed vertically.

This is for traditionnal [[:en:Mongolian script]] (mongol bichig) support in [[Property:P1705]] of Wikidata.

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

I wonder about the upper casing. I can not find much information about this "language" code. It appears it is not a language, but Mongolian (mn) written in a specific script. I do find information about a "mn-Mong-CN" tag. What's the difference? What's the correct tag and in which standard is it defined? Which casing is the correct one?

In language code, first part is language, second part is script (Mong|Han|Latn|Arab...) and the third the country, here CN (China), MN (Mongolia).... The traditional Mongolian script is mainly used in Inner-Mongolia (China), but is since few year recognized again as official language in (outer) Mongolia. it is also used in Buryatia and Kalmykia (where this should probably be respectively bua-Mong, xal-Mong, Mongolian sub-languages using uyghur-mongolian script).

So :

  • mn is used mainly for Khalkha, official (outer) Mongolia Mongol language is generally seen as standard mongolian mn.
  • mvf (peripheral mongolian) is generally used to specify that's one of the china mongolian languages. xal2
  • bua for buryat
  • xal for oriat
  • Mong is used for vertical "uyghur-mongolian" script (adapted from old-uyghur script)
  • Cyrl is used for cyrillic writing, official in Mongolia and Mongolian inhabited republics of russian federation.
  • Latn is generally used for latin transliteration ( there are case of Arab, Han transliteration too)

Mongolians use lot of writing system in their history, but that was often used for about one century and/or specific cases : https://en.wikipedia.org/wiki/Mongolian_writing_systems

uyghur mongolian, is the most used from Gengis Khan time to today (about 800 years). Manchus (and more generally several tungustic languages) use a variant of this system.

  • CN is for China
  • MN is for Mongolia
  • RU is for russian federation (I don't believe there are specific code for RF republics).

Hoi,
mn is the code ISO-639 for the language, Mong is the CLDR code for the
script and CN is a code for the country where it is practices. The correct
LANGUAGE code is either khk or mvf because as a macro language that does
not have an existing project it is not eligible.
Thanks,

GerardM

Wow, that's a lot of information. ;-) Thank you very much.

I did a search on our global code base:

  • MediaWiki does have support for many …-cyrl and …-latn locales.
  • There is never a country code attached. It's just "ku-latn", "kk-cyrl" and so on.
  • Note that everything I found is lower case. I wonder why, because the wfBCP47 function MediaWiki core provides does support normalizing these codes, and normalizes them all to upper case "ku-Latn", "kk-Cyrl" and so on.
  • I could not find a single mention of a code ending in …-mong, neither upper nor lower case.
  • I was able to find a mention of mn-mong in an old version of ULS, which derives it's data from CLDR. But this code is missing in the current version. I wonder why?

So these questions remain:

  • How "official" is mn-Mong?
  • Should we support it no matter what? What if we need to drop or change it later? Is this worth it?
  • Should we add it in lower case, to be consistent with all the other lower case codes we already support?

Hoi,
The practise of dropping upper case in the ISO-15934 is a MediaWiki
practice that is incorrect. In the grand scheme of things it is only a
minor matter.

Mong is the correct code for the Mongolian script. The reason why mn-mong
is not there is that it does not make sense to associate a scriot with a
macro language, mn is in itself NOT a language it includes multiple
languages and it is why it will not get support for a new language for a
new project.

So in conclusion, mn-mong can be understood to mean any Mongolian text
written in the Mongolian script. In the current understanding of languages
it is not precise and it is why it will not be approved for a new WMF
project.
Thanks,

GerardM

Ok, this is very much enlightening. Thank you very much. However, the questions I listed above still remain. Should we add it as a monolingual code to Wikibase, or favor khk and mvf? These are listed as known language codes in at least one extension (mvf only in Babel, which is not optimal).

In my opinon, as a very beginner in mongolian language, every written words I seen in dictionaries (old one like Lessig or current one), seems to match with mvf one I seen on fr.wiktionary, wrote by a french in inner-Mongolia. (China), I learned with the pronunciation of Ulanbaatar (khalkha), as that's the only one available on methods in Europe, exchanged most with few friends from this city in France).

In Inner Mongolia, I exchanged with Mongolians from Chifeng, the woman immediately said to her husband I spoke with an outer Mongolian pronunciation, but was able to understand and I understand that she said that. I exchanged during a short ride with a guy from Ordos, we can exchange some sentences without problems, we speak more in Chinese, as I have a better level in this language. Both this area are from south of inner Mongolia

In Hailaer/Hulunbuir (far north-east) I meet a teacher that has a really different pronunciation for one word I known often used in lot of songs but we only exchanged in mandarin, she only pronounced this word. She give me a wechat/weixin account with Mongolian lessons from her area, and as far I read, everything seems to match (not read a lot). I bought some chinese<=>Mongolian dictionary, from inner Mongolia at this place, there is wrote Mongolian-Chinese dictionaries in both script (Chinese and Mongol), nothing dialect specific. Every word I seen (only few for now) matches words from dictionaries of outer Mongolia.

In Chinese zh- (as zhongwen) for mandarin and it's dialects, writing is the same, pronunciation expression are different.

Khalkha and Chakhar. (one of the main language in Inner Mongolia used for mvf) are only dialects of standard khalkha Mongolian), this is not fixed with characters like Chinese, so these changes in pronunciation can probably be wrote differently, I still never matched the case, but I'm a very beginner. mn is for the Standard Khalkha Mongolian, in my sense, it can be used as zh is used for standard mandarin and all the dialects of mandarin, other han chinese language use a different code too (yue for Cantonese, wuu for Wu (Shanghai and around), nan for Minnan....

[[Mongolian language]] article in English, seems to confirm that. It should be nice to have at least this, for first and extend later if needed for mvf, and bua/xal that are different Mongolian languages. In the previous post, I forgot to say that Oirat is also spoken in different region of China (Xinjiang, Qinghai).

Nikki added a subscriber: Nikki.Sep 27 2016, 10:31 AM

@thiemowmde:

The aim here, as I understand it, is to distinguish the two scripts, particularly because of the extra display support Mongolian script needs, not to distinguish the khk variety associated with Mongolia from the mvf variety associated with China. If that is right, I think having "mn-mong" would be the only option that fully meets the original aim.

I don't know what the differences between khk and mvf are other than the preferred script, but I find it highly unlikely that separate codes would have been assigned if the only difference were the script. Mongolian script was previously used in Mongolia and it appears that there is also some modern usage of it (Mongolian bank notes and coins look to have Mongolian script on them). That implies that it would be wrong to assume all text using the Mongolian script is mvf which then implies that only having khk and mvf would be insufficient as a way to reliably distinguish scripts.

It also seems to be very uncommon to specify which variety of Mongolian is being talked about when providing names (etc) in Mongolian script, judging by Wikipedia articles I've looked at. If the source only says that the name (etc) that I'd like to add is Mongolian in Mongolian script, I have no idea how I would determine that it is definitely khk or mvf - I would just be guessing and I'm sure I wouldn't be the only one. Without "mn-mong" and without sources providing enough information to select something more specific, people are likely to continue selecting "mn" for both Cyrillic and Mongolian script.

Hoi,
Sorry but your only option is wrong on principles. The code mn is for a
language code that will never get recognition from the language committee.
The way to distinguish between scripts is by using the ISO-15934 code and
consequently it should be mn-Mong if your way would be followed.

The difference between the codes is that they are both languages in their
own right and are recognised as such.

Wikipedia is not a source for this; try Ethnologue it is linked to the
ISO-639-3 and that is the standard we follow.
Thanks,

GerardM

This is a request for a new monolingual text language, not a request for a new project. The criteria for new monolingual text languages (described at https://www.wikidata.org/wiki/Help:Monolingual_text_languages#Requirements_for_a_new_language_code by someone working for WMDE) are explicitly different from the language criteria for adding new projects.

Hoi,
That makes no difference. A language needs to fulfill some minimum
requirements and mn is not the code for a language.
Thanks,

GerardM
Nikki added a comment.Sep 27 2016, 9:09 PM

The minimum requirements are quite clearly stated on the page I linked and mn-mong does meet them. If you feel so strongly about macrolanguage codes that you're not willing to accept that those are the criteria for the monolingual text datatype, then perhaps @Lydia_Pintscher should ask someone else who is more neutral to advise on whether requests meet the criteria.

Hoi,
I am a member of the Language Committee of the Wikimedia Foundation. It is
stated policy that we do not accept macro languages. Lydia does read the
comments and she knows of its existence, its policies and for me it is not
personal. Is it for you?
Thanks,

GerardM

Could you point me to the "stated policy" you mention? The only one I can find is https://meta.wikimedia.org/wiki/Language_proposal_policy which is specifically about starting new projects and doesn't even say anything about macrolanguages.

Hoi,
It is so obvious that is not even in the policy.
Thanks,

GerardM
Nikki added a comment.Sep 28 2016, 4:36 PM

First you said it was stated policy, now you're saying it's not stated anywhere. I'm clearly wasting my time trying to get a straight answer from you.

Nikki removed a subscriber: Nikki.Sep 28 2016, 4:36 PM

Hoi,
You are wasting your time searching for a result that is wrong on basic
principles. When a language is not a language why would you want it to be a
language ? Why seek in documents something that is self evident. Something
that is NOT a language should never be accepted as a language.

Please think.
Thanks,

GerardM

mn doesn't referer to mongolian as a macrolanguage but as a language, khalkha is the recognized standard dialect of the mongolian language. other mongolian languages are buriat (bua) or oirat (xal).

As said before monglian term is both used in mongolian and chinese about the mongolian writing, that is the same in inner or outer Mongolia (following all dictionnaries I found. That is used in several documents from XIIth century to today.

If mn is not accepted as a language for mongolian in wikipedia, then we can close and remove all the articles of https://mn.wikipedia.org and finally say to all the mongolian that they don't use a language ;).

Please provide the source that backs you up. It has to be the ISO-639-3 as
it is what our policies is based on.
Thanks,

GerardM

About several writings for a language, in chinese, there is zh-Hani (hanzi in general), zh-Hant (traditionnal hanzi), zh-Hans (simplified hanzi) and the same thing for Gan Chinese (gan-Hant & gan-Hant).

Hoi,
Yes, and zh is a language not a macro language. It is about new
recognitions and mn is a macro language. When the language policy were in
effect from the beginning, it would have been eng.wikipedia.org.
Thanks,

GerardM
  • mn is used as language for standard mongolian in wikipedia (mn.wikipedia.org, tag in wikidata, so if it's not valide, this should be removed.
  • https://www.ethnologue.com/language/mvf for ethnologue, mvf, is only a geographical distinction, mvf is for china, mainly because in china they don't use cyrilic script for writting mongolian, but on some border cities with outer mongolia like Erenhot (chinese + mongolian script + cyrillic mongolian) https://commons.wikimedia.org/wiki/File:Erenhot_port.jpg On North-East of inner mongolia, (Manzhouli, and lot of cities in Hulunbuir, russian in cyrillic is used instead).
  • One of the dictionary I bought in Hailaer (Hulunbuir), one among several where it's wrote {{lang|zh|汉蒙词典}} / {{lang|mn-Mong|ᠬᠢᠲᠠᠳ ᠮᠣᠩᠭᠣᠯ ᠲᠣᠯᠢ}} edited in Bejing. They uses mongolian script as the destination is inner-mongolia mongolians or other people that want to read/write their script, used officialy in inner-mongolia. https://book.douban.com/subject/1737776/
  • One of the several dictionnaries on the internet for mongolian (using several historical dictionaries) where mongolian script is used beside Cyrillic, sometimes latin script and tibetan (for words used in both languages) https://www.istb.univie.ac.at/mongol/mng/sub/ references used are text from gengis khan time to author time (19th century to today), covering all the mongolian areas. In cyrillic, buriat use more characters than standard mongolian/khalkha language, in oirat, there is another writing system called Todo bitchig.
  • An official site of the (outer) Mongolia government, that use mainly cyrillic mongolian, and display mongolian script version for every words and is still called mongol toli (mongolian dictionary, not khalkha dictionnary, there are several dialects in outer Mongolia too): https://mongoltoli.mn/

eng.wikipedia.org is for english, not for mongolian...

In the case of zh, this should be cmn (chinese mandarin, not zh). zh (that can means zhongwen, zhonghua, etc...) include all chineses languages, As in mongolian, there are several meaning, (languages of china (which include among other mongolian (oirat, std mongolian and dialects, hanyu, a submacrolanguage spoken mainly by Han nationality, including standard mandarin, mandarin dialects, cantonese (yue), shanghaiese (wu (wuu)), minnan (taiwanese, chaoshan...), mindong, hokkien, etc... that are really different languages, and zh, should be banned, but that's the standard for standard mandarin).

if mn-Mong is divided in khk (for khalka dialect instead of standard khalkha mongolian) and mvf for the administratively divided mongolian dialects, then words that are pronounced with local dialects, but wrote the same way, will have two entries each time. The same way english/american/australian english should have separated entity (centre/theatre in english english, center/theater in american english for example. so en, should be banned too...

So can mn be renamed khk and can we have a khk-Mong and a mvf-Mong (that is a non-sense in term of writing) ? You can create both if you have any clue that there are case of different writing for the same word, but mn-Mong should work for most words, as shown every dictionaries matching.

current mn, should at least be renamed mn-Cyrl or khk-Cyrl, as that's only one of the two standard khalkha script in outer mongolia, mn-Mong is also accepted as standard in Mongolia since 1992.

Until issue is resolved for english/chinese/... mn- should be accepted for standard mongolian and subdialects... If you don't agree, please create at least khk-Mong and mvf-Mong, I will put both in every cases, I can verify easily with my dictionaries, that's all...

After ethnologue, eng, is only for England English and some variants around the world, not US/canadian english, but still U.S. Virgin Islands and Jamaica in America.

https://www.ethnologue.com/language/eng

So what is the code for US English, that so much people view as really different than English one ??? This code are not perfect too, and should not be followed too much in my sense. The same for french, it's often really difficult for a French from France to understand Canadian French, mainly orally, and a little less in the text due to difference of grammar and vocabulary. So until there are ISO-639-3 codes for these variants, this isn't really revelant.

The English wikipedia article about the Khalkha dialect (that is sourced) says, as most linguist, that's a dialect, that is different from standard mongolian, and has difference that are found in
Chakhar Mongolian (the main dialect of inner mongolia), and oirat language...

https://en.wikipedia.org/wiki/Khalkha_Mongolian

The same way English Wikipedia article about Chakhar dialect, that is sourced too, seen this as a dialect of the standard (khalkha) mongolian language….
https://en.wikipedia.org/wiki/Chakhar_Mongolian

Again, mongolian language article classify chakhar and khalkha as dialects of mongoian (mn/mon), and say that few source say that buryat/oirat are dialects of the same language but that most disagree….
https://en.wikipedia.org/wiki/Mongolian_language

Hoi,
We do not accept anything new that does not comply with the policy. There
is plenty of old stuff that does not change as per the policy.
Thanks,

GerardM

So could you add mvf-Mong instead of mn-Mong please ?

Could you also add cmg (classical mongolian), that is classed as individual) by default it uses Mong script. and khk-Mong ?

http://www-01.sil.org/iso639-3/documentation.asp?id=cmg

Could you also add cmg (classical mongolian), that is classed as individual) by default it uses Mong script. and khk-Mong ?
http://www-01.sil.org/iso639-3/documentation.asp?id=cmg

Why? To include Phags-pa? Soyombo?

Mong is for uiyghur-mongolian script. Classical mongolian, use this script, not soyombo or Phags-pa. Phags-pa was only used about 1 century. -Mong is probably not needed for this.

Cyrillic is only used for buryat (in Republic of Buryatia), kalmyk (in Republic of Kalmykia), and khalkha language (in Outer Mongolia) as far I know, but at least khakha and kalmyk use mongolian script (in China, outer-Mongolia and kalmykia).

Don't know the 4 letter script code for phagspa, soyombo, and other rare mongolian scripts.

@GerardM
0. According to the "Requirements for a new language code" linked above, the WIP requirement for a new language code is a valid IETF tag not a valid ISO code

  1. Macrolanguages in ISO 639-3 are still individual languages in ISO 639-2, and definition of macrolanguage in ISO 639-3 is "clusters of closely-related language varieties that [...] can be considered distinct individual languages, yet in certain usage contexts a single language identity for all is needed". and thus macrolanguages should be treated as an lanuage with valid language code. And mn is a valid code and is currently used by Mongolian wikipedia, which also contain several articles written in traditional Mongolian script.
  2. See BCP 47 section 2.1.1 for details about uppercasing. https://tools.ietf.org/html/bcp47
  3. both khk, mvf, bua and xal can be written with Latn, Cyrl and Mong.
  4. mn-Mong is not only used for mvf.
  5. BCP 47 also stated that macrolanguage code can still be used instead of code for encompassed languge
  6. you can see mn_Mong_CN is a likely subtag in http://unicode.org/repos/cldr-tmp/trunk/diff/supplemental/likely_subtags.html
  7. You can see mn-Mong listed in IANA language subtag registry http://www.iana.org/assignments/language-subtag-registry/language-subtag-registry (listed as redundant as it have the correct form and format defined by RFC4646 and all the subtag it used are defined in the document. See RFC4645 for detail.)

Hoi,
You are wrong. We do not accept macro languages for new purposes. Only when
a code is already in use, we let it ride. Reluctantly. The point of this is
that we do not and do not want to end existing projects.
Thanks,

GerardM

@GerardM but traditional mongolian script is like literary chinese, which is universal to every languages that were using it as their written form and thus it is invalid to say which language they belong to. Just like you can say Nihon Shoki is written in Chinese but you can't say it is written with Mandarin or Hakka. The situation with traditional Mongolian script is the same. And also, it would be incorrect [despite being a convention] to call those Mongolian text middle/classical Mongolian language just like you can't equate literary chinese to old/middle chinese, as there are still some changes being made to the written language that set the old language at that time apart from the written form continually being used.

This is why for we need both cmg (where default is Mong), khk-Mong (where default today is Cyrl) and mvf (where default is Mong). If language can vary on cmg, there are some texts that are classified as cmg and is used (and needed as source) in Wikipedia.

This comment was removed by C933103.

I there a reason against creating the language as mvf with the name Peripheral Mongolian?

mvf only refer to Mongolian spoken in Central part of Inner Mongolia while mn-Mong is written by all mn users.

No mn-Mong is a combination of the language and the script. mn is a ISO-639-1 code

Not sure if this TWN thread is related or not: https://translatewiki.net/wiki/Thread:Support/Please_support_%22Traditional_Mongolian_Script%22, where I also made a comment that in favor of mvf and aganist mn-Mong

Then mon, mon is ISO 639-3

it is still a macro language and therefore not usable to identify a text

What is the rationale of macrolanguage being not usable to identify text?

Because it is not one but multiple languages.

Liuxinyu970226 added a comment.EditedDec 5 2017, 8:08 AM

What is the rationale of macrolanguage being not usable to identify text?

If you could make a language conversion system between two writting system, Okay, otherwise my aganist to mn-Mong is still valid.

What is the rationale of macrolanguage being not usable to identify text?

If you could make a language conversion system between two writting system, Okay, otherwise my aganist to mn-Mong is still valid.

Inner Mongolian University has developed a sentence-based conversion engine (As in the engine require context from other words in the sentence to determine which candidate word should be used for transliteration) and it was claimed in another essay which I linked on somewhere else that the engine has up to 85% correct rate (Although 85% correct rate still mean about one error per every six words on average). The conversion engine was linked from the English WIkipedia's article for Mongolian Script's external link section.

Badaa added a subscriber: Badaa.EditedJan 24 2018, 12:16 PM

Hi,
I am from Mongolia.
What are the definitions of a macro language and a language?
If a language is a (mainly spoken) system to communicate among people then Mongolian is not macro language. Because, I can communicate without any problems with mongolian people in Inner Mongolia (now in China) and the Mongolians in Buriat (now in Russia) even easier than the communication among Germans in Bayern, in NRW or in Berlin.
If a language is a superordinate concept of scripts then Mongolian language has some totally different scripts like traditional (vertical Mongolian), Khalkh (Cyrillic), Buriat (Cyrillic), Halimag (known also as Kalmyk, Cyrillic and Latin) etc.
In Mongolia, the official script is Cyrillic since 1947 and tried to revert to Mongolian script. Everyone in Mongolia learns at school both scripts Mongolian script and Cyrillic since 1980 until now. "Mongolian Language law" has been adopted and is effective since July 1st of 2015. In this law, Mongolian script will be introduced in stages and state and local government is to conduct their correspondence in both Cyrillic and Mongolian script. This provision is to be effective starting January 1st of 2025.
In my opinion to disjoint too much is wrong way and exaggerated. The Mongolian is not macro language and could be very well handled like German. (de - German, de-AT - Austria, de-CH Switzerland)
mn (ᠮᠣᠩᠭᠣᠯ Mongolian vertical)
mn-MN (Монгол Cyrillic)
mn-CN (ᠮᠣᠩᠭᠣᠯ Mongolian vertical)
mn-RU (Буриад Cyrillic) etc.
If scripts play in main role then Mongolian is a macro language and it should be handled as mn-Mong, mn-Cyrl etc.
But before we to discuss further, we need to clarify and isolate what is a language and what is a script.

Hoi,
The defenitions are in the standard. The standard is the ISO639-3.
Thanks,

GerardM
Badaa added a comment.Jan 24 2018, 8:31 PM

Hi,
Thanks Gerard M.
I just read the Terms and definitions of ISO 639-3.
There are following sentences in paragraph 4.2.2 Individual languages:

There is no one definition of “language” that is agreed upon by all and appropriate for all purposes. As a result,
there can be disagreement, even among speakers or linguistic experts, as to whether two varieties represent
dialects of a single language or two distinct languages. For this part of ISO 639, judgements regarding when
two varieties are considered to be the same or different languages are based on a number of factors,
including linguistic similarity, intelligibility, a common literature, the views of speakers concerning the
relationship between language and identity, and other factors. The following basic criteria are followed.

  • Two related varieties are normally considered varieties of the same language if speakers of each variety

have inherent understanding of the other variety (that is, can understand based on knowledge of their
own variety without needing to learn the other variety) at a functional level.

  • Where spoken intelligibility between varieties is marginal, the existence of a common literature or of a

common ethnolinguistic identity with a central variety that both understand can be strong indicators that
they should nevertheless be considered varieties of the same language.

  • Where there is enough intelligibility between varieties to enable communication, the existence of well-

established, distinct ethnolinguistic identities can be a strong indicator that they should nevertheless be
considered to be different languages.

and under 4.2.4 Dialects

The linguistic varieties denoted by each of the identifiers in this part of ISO 639 are assumed to be distinct languages and not dialects of some language, even though for some purposes some users may consider a variety listed in this part of ISO 639 to be a “dialect” rather than a “language”. In this standard, the term dialect refers to any sub-variety of a language such as might be based on geographic region, age, gender, social class, time period, or the like.

From these definitions, I would conclude Mongolian is an individual language rather than macro language. After all, it is correct my first assumption in previous comment. But I tend to think, to change/fix such an aged standard is almost impossible or?
Thus, I read furthermore ISO 639-3, there are following:

The dialects of a language are included within the denotation represented by the identifier for that language. Thus, each language identifier represents the complete range of all the spoken or written varieties of that language, including any standardized form.
For applications in which it is necessary to identify dialects, a separate standard may be developed that provides identifiers for dialects, or that combines identifiers from this or other parts of ISO 639 with other distinguishing identificational qualifiers. See 4.7 for further discussion.
...
4.7 Scripts and regions
Some languages are written in different scripts by different user communities. A single language identifier is provided for a language in this part of ISO 639 even though the language may be written in more than one script. For applications in which it is necessary to identify distinct writing systems of a single language, a separate standard may be developed that combines identifiers from this or other parts of ISO 639 with script identifiers from ISO 15924.
...

In ISO 15924, Mongolian script is defined as Mong (145) see: https://en.wikipedia.org/wiki/ISO_15924
I also recognized that at least Firefox and Chrome (webkits) implemented the the lang attributes of "mn-Mong" for html tag. If I declare <html lang="mn-Mong">, then I see correct scrolling behavior for vertical layout.
Thus, we need to add the script code mn-Mong.
thanks,

@Badaa Unfortunatelly changing a Macrolanguage back to an Individual language on SIL (even you have reason that that is wrong), is simply impossible as per this email copy, where I asked staffs of SIL last week, and these are what I've got:

Dear Liu Xin Yu,
Thank you for your interests on this matter, but sadly, your question is beyond our control areas, as Mongolian (macrolanguage) has ISO 639-1 code mn which is defined by the Infoterm. Since most of employees of Infoterm are no longer interested in doing works of ISO 639-1, we are the world's most sadly to answer you, that cases like Mongolian are fixed-defined.

Liuxinyu970226 added a comment.EditedFeb 13 2018, 11:44 AM

Because of the email copy above, I would say that the Apple did such things wrong, the Google did wrong, the Microsoft did wrong, the Mozilla did wrong, the Nintendo did wrong, the Samsung did wrong, the Sony did wrong, and most of Wikipedia contributors did wrong too... (don't surprise, the Tesla did wrong too in this grey area) that using mn-mong is not well-considered. Again, there's not only one Mongolian dialect available.

Should I change the title and description to not directly mention mn-mong, but a list that includes this as just a candidate? Anyway, I suggest to mark this task as stalled, since there's really really and really trustees problems from SIL, from the Library of Congress, the ISO, the IEC, the IEEE, the IETF, the ITU, and the ICANN.

Liuxinyu970226 added a comment.EditedFeb 17 2018, 4:11 AM

Because of the email copy above, I would say that the Apple did such things wrong, the Google did wrong, the Microsoft did wrong, the Mozilla did wrong, the Nintendo did wrong, the Samsung did wrong, the Sony did wrong, and most of Wikipedia contributors did wrong too... (don't surprise, the Tesla did wrong too in this grey area) that using mn-mong is not well-considered. Again, there's not only one Mongolian dialect available.
Should I change the title and description to not directly mention mn-mong, but a list that includes this as just a candidate? Anyway, I suggest to mark this task as stalled, since there's really really and really trustees problems from SIL, from the Library of Congress, the ISO, the IEC, the IEEE, the IETF, the ITU, and the ICANN.

@Badaa and @C933103 ^^?


another email copy

Dear Sir,

I cannot cancel the macrolanguage for Mongolian. The purpose of macrolanguages is to map codes from part 2 of ISO 639 to part 3 of ISO 639. Even if I cancelled the designation, the relationship would still exist. It is best to maintain the designation, so that users of the codes understand that part 2 of the standard has a code that includes several coded languages in part 3.

Melinda Lyons
ISO 639-3 RA
SIL International
7500 W. Camp Wisdom Rd.
Dallas, TX 75236
Liuxinyu970226 changed the task status from Open to Stalled.Feb 22 2018, 4:44 AM

Without respond to email copies above, I boldly stalled this.

Badaa added a comment.Feb 27 2018, 9:46 AM

Hi,
I have nothing to say... What should we or can we do now???

Liuxinyu970226 added a comment.EditedMar 1 2018, 4:09 AM

Hi,
I have nothing to say... What should we or can we do now???

Have you (really?!) read my this comment above? Or why do you want me to copy paste those comments more than once?

Because of the email copy above, I would say that the Apple did such things wrong, the Google did wrong, the Microsoft did wrong, the Mozilla did wrong, the Nintendo did wrong, the Samsung did wrong, the Sony did wrong, and most of Wikipedia contributors did wrong too... (don't surprise, the Tesla did wrong too in this grey area) that using mn-mong is not well-considered. Again, there's not only one Mongolian dialect available.
Should I change the title and description to not directly mention mn-mong, but a list that includes this as just a candidate? Anyway, I suggest to mark this task as stalled, since there's really really and really trustees problems from SIL, from the Library of Congress, the ISO, the IEC, the IEEE, the IETF, the ITU, and the ICANN.

Badaa added a comment.Mar 1 2018, 8:23 AM

@Liuxinyu970226,
I read.
I didn't request to copy paste those comments.
I just tried to answer following questions of you but I had no idea.

Should I change the title and description to not directly mention mn-mong, but a list that includes this as just a candidate?
@Badaa and @C933103 ^^?

C933103 added a comment.EditedSep 29 2018, 12:33 PM

Sorry for late reply,
@Liuxinyu970226 If the concern of ISO639's RA is "users of the codes understand that part 2 of the standard has a code that includes several coded languages in part 3.", then probably what can be done is ask for cancellation of the mvf code and khk code in the ISO639-3?

Also, another thing is that I have just discovered that there is an ISO639-3 language code cmg for "Classical Mongolian", would that actually be appropriate to be used to describe text written in Classical Mongolian language?

Badaa added a comment.Sep 30 2018, 5:28 PM

Sorry for late reply,
@Liuxinyu970226 If the concern of ISO639's RA is "users of the codes understand that part 2 of the standard has a code that includes several coded languages in part 3.", then probably what can be done is ask for cancellation of the mvf code and khk code in the ISO639-3?

Yes. Vote +1!

Also, another thing is that I have just discovered that there is an ISO639-3 language code cmg for "Classical Mongolian", would that actually be appropriate to be used to describe text written in Classical Mongolian language?

If so, it is fully appropriate.
We could consider it as old Mongolian language.
Actually, the big misconception is that there doesn't exist many Mongolian languages but many scripts. Mongolian pre-classical script, Mongolian classical script, Todo script, Cyrillic script and so one. This leads to complexity for localization, as languages (not scripts) are used for localization process.

Liuxinyu970226 added a comment.EditedOct 1 2018, 10:17 PM

@C933103 and @Badaa Such request is definitely not possible, have you two ever read what Melinda said that? Retireing all of member languages of macrolanguage is not allowed, you can only request adding one or removing one of them, and make sure that that macrolanguage has at least two member languages.

So 2 years and 3 month later we are still at the same point ? Is it so hard to add several ISO639-3 mongolian codes for traditionnal mongolian script ?

The more imortant indiviual languages to add (to avoid conflict of macrolanguage as this is the main reason of the rejection) :

  • ISO 639-3 mvf Chahar/Chakhar, not a macrolanguage, but an indivitual, reference China mongolian language https://iso639-3.sil.org/code/mvf that is probably the most used for our purpose and we can consider it _Mong by default

If possible, khk, as mn is a macrolanguage and not good to use (or we still use mn for both languages and are lote more things to fix in 2 years (as lot was added during 2 years) :

  • ISO 639-3 khk, Halh/Khalkh not a macrolanguage but an individual too, reference mongolia mongolian language https://iso639-3.sil.org/code/khk cyrillic by default since about 50 years.

We could add the _Mong variantes mvf_Mong (that is the default for mvf, not usefull, khk_Mong (usefull as defaut is today Cyrl.

Some can be important (by magnitude of speakers) too and added one by one

  • ISO 639-3 xal (khalmyk) individual : https://iso639-3.sil.org/code/xal
  • ISO 639-3 bua (buryat, macrolanguage) has 3 individual languages. Russian one is probably the most populated :
    • bxu – China Buriat
    • bxm – Mongolia Buriat
    • bxr – Russia Buriat

and

We will see later for _Mong/_Cyrl (as today _Hani/Hant/Hans are used for chinese)

@Popolon According to my understanding assuming they are correct understanding, using Arabic as analogy, what you propose would be like making different monolingual value for "Libyan Modern Standard Arabic", "Egyptian Modern Standard Arabic", "Tunisian Modern Standard Arabic". Yes, Libyan/Egyptian/Tunisian Arabic are all different and could be considered as different languages, however there are only one single literary standard here. Surely, there are different phonetic literary standard that more closely reflect individual languages, like the Cyrillic alphabet being used to spell different Mongolic languages, which would warrant the establishment of wiki in each of their individual languages, however there are only one Classical Mongolian Script just like there are only one Modern Standard Arabic. You can say mvf is closest to Classical Mongolian in the same way as Egyptian Arabic being closest to the standard of Modern Standard Arabic, however they are not equal.

@C933103

however there are only one Classical Mongolian Script just like there are only one Modern Standard Arabic.

Huh? Phags'pa ≠ Mongolian?

@Badaa

Actually, the big misconception is that there doesn't exist many Mongolian languages but many scripts.

https://zh.wikipedia.org/wiki/%E8%92%99%E5%8F%A4%E8%AA%9E%E6%96%B9%E8%A8%80%E5%88%97%E8%A1%A8 I won't repeat the likely problem answers again, unless if your both are even concerning this zhwiki list article.

I agree with you on the point that Phags'pa is only a writing of the Yuan dynasty, the official language is at this time Khalkh or it's classical Mongolian version.

The scripts are generally the same in Mongolian central dialects (if we don't think about frontier between (Russia/Outer-Mongolia)-cyrillic script and China-mongolian script). They are mutually understandable.

https://zh.wikipedia.org/wiki/蒙古語方言列表 I won't repeat the likely problem answers again, unless if your both are even concerning this zhwiki list article.

方言 means dialect, not language. We can extend codes later to them, but after having at least at first main languages. The mvf is a well established/formalized form of Mongolian, in china, referenced in few dictionaries. And it would be very helpful to represent inner mongolian names. It is already used in at least en.wiktionary.org and fr.wiktionary.org.

They are very distinct Mongolian languages groups from central Mongolian, like Buryat, Kalmyk (also called oirat).

There are also languages that are very far from central mongolian:

  • Yugur, divisied in two groups, one with more Mongolian/turkic proximities (Western Yugur), and the other that is a dialect of Mandarin with mongolian vocabulary (Eastern Yugur).
  • Tu/Monguer, a mongolian language, that mix Chinese and Tibetan dialects.

    Mongolian from North of Afghanistan or from Kalmykia (eastern Europe) are probably very

different from their central Asian counterparts.

In the link given, they say that beside Khalkh/Halh, in China there are 3 important mongolian groupes :
http://www.zlck.com/蒙古语/方言.html

  • ① Inner mongolian dialect (内蒙古方言) with lot of varieties, used as main language in Inner Mongolia, Liaoning, Jilin and Heilongjiang. (In this group, Chalkhar/察哈尔 (mvf) is the main/official one).
  • ② Buryat (巴尔虎-布里亚特方言, bxu for its chinese form), with
  • ③ Kalmyk aka Oirat (卫拉特方言, xal) spoken in Xinjiang (aka related to Zungars), Qinghai (aka related to Qoshots, aka Zungars that estabished to Qinghai lake in 15th century) and Gansu (I suppose Qoshotos/Zungats at the border between of Gansu with Xinjiang or Qinghai). The Eastern Europe (Kalmykia, around the Volga river) is probably very different. Like Quebec dialect of French is very different from French one, Brazilian from Portuguese, American English from UK/Ireland English etc...

Don't know which variety of mongolian is spoken in Afghanistan.

https://commons.wikimedia.org/wiki/File:Linguistic_map_of_the_Mongolic_languages.png

Badaa added a comment.Oct 4 2018, 10:07 AM

@C933103

however there are only one Classical Mongolian Script just like there are only one Modern Standard Arabic.

Huh? Phags'pa ≠ Mongolian?
@Badaa

Actually, the big misconception is that there doesn't exist many Mongolian languages but many scripts.

https://zh.wikipedia.org/wiki/%E8%92%99%E5%8F%A4%E8%AA%9E%E6%96%B9%E8%A8%80%E5%88%97%E8%A1%A8 I won't repeat the likely problem answers again, unless if your both are even concerning this zhwiki list article.

@Liuxinyu970226
Is there any English or Mongolian version? I don't know Chinese.

Just a little tip, on firefox, go to about:config, then search for the browser.urlbar.decodeURLsOnCopy option and change it from false to true, this is essential for non pure-english characters (aka any accent or other char from any other language using latin script or any other script, so the url) :

https://zh.wikipedia.org/wiki/%E8%92%99%E5%8F%A4%E8%AA%9E%E6%96%B9%E8%A8%80%E5%88%97%E8%A1%A8

Thas is unreadable (will be the same with mongolian name in both cyrillic/mongolian script) will become

https://zh.wikipedia.org/wiki/蒙古語方言列表

shorter and readable (at least if you know the script).

@Popolon I believe Monguor and all that do not/no longer use Mongolian Script in writing so that's not really relevant to the context.


@Liuxinyu970226 what about Phagspa?

Also I would remind you that in ISO 639, the macrolanguage Mongolian only cover khk/mvf but not others

Just a little tip, on firefox, go to about:config, then search for the browser.urlbar.decodeURLsOnCopy option and change it from false to true, this is essential for non pure-english characters (aka any accent or other char from any other language using latin script or any other script, so the url) :
https://zh.wikipedia.org/wiki/%E8%92%99%E5%8F%A4%E8%AA%9E%E6%96%B9%E8%A8%80%E5%88%97%E8%A1%A8
Thas is unreadable (will be the same with mongolian name in both cyrillic/mongolian script) will become
https://zh.wikipedia.org/wiki/蒙古語方言列表
shorter and readable (at least if you know the script).

The previous comment said he/she cannot understand Chinese.

@C933103

however there are only one Classical Mongolian Script just like there are only one Modern Standard Arabic.

Huh? Phags'pa ≠ Mongolian?
@Badaa

Actually, the big misconception is that there doesn't exist many Mongolian languages but many scripts.

https://zh.wikipedia.org/wiki/%E8%92%99%E5%8F%A4%E8%AA%9E%E6%96%B9%E8%A8%80%E5%88%97%E8%A1%A8 I won't repeat the likely problem answers again, unless if your both are even concerning this zhwiki list article.

@Liuxinyu970226
Is there any English or Mongolian version? I don't know Chinese.

That linked page is a list of Mongolian Dialects, which Liuxinyu970226 wanted to use it to shows there are many different dialects of Mongolian, including also Oirat and Buryat, to show that they cannot be merged into a single entity of "Mongolian" in term of language code, because each of these language variants have their own script [cyrillic, especially for those that are in Modern Russian territory] that write their language variant out directly, and that they are different from each other and thus cannot be merged

However that's very different from what we are talking about here when Oirat and Buryat aren't even considered as part of the Mongolian Macrolanguage in ISO 639

And then the list also have Kalmyk and Qaracin, however they don't even have their own ISO 639 language code from what I know

Badaa added a comment.Oct 4 2018, 12:03 PM

Thanks @C933103 .
The dialects and languages are different terms in ISO standard. In every language (whatever individual or macro) has multiple dialects. I think dialects are not relevant in this scope.
Buryat and Oirat people can also communicate with Mongolian script or orally (after some hours).
As already mentioned, actual problem is they use different scripts. Technically, it's easier to handle such scripts (Mongolian script, Mongolian cyrillic, Buryat (cyrillic), Khalmik (cyrillic) etc.) as individual languages. That is probably the reason why Buriat (bua) is defined as individual language.
Defining Mongolian as macro language is non-sense.
Oh my God. Bua is now also macro language. That is too exaggerated! A headache.

Liuxinyu970226 added a comment.EditedOct 5 2018, 10:23 AM

@Badaa So if you have questions other than "request to cancel a macrolanguage status" which is defined as no-go by SIL staffs, list them, then @GerardM will investigate them.

If your question only has that no-go, then let's decline this, if you even can't trust what you've got by email, then sadly there's no way more to resolve this.

PS: I don't oppose introducing Classical Mongolian (cmg), I just oppose using mn-mong and the reason is simply per GerardM.

And then the list also have Kalmyk and Qaracin, however they don't even have their own ISO 639 language code from what I know

Khalmyk (or kalmyk) is Oirat (xal-myk), two names for the same culture/language

Badaa added a comment.Jan 27 2019, 8:22 AM

@Badaa So if you have questions other than "request to cancel a macrolanguage status" which is defined as no-go by SIL staffs, list them, then @GerardM will investigate them.
If your question only has that no-go, then let's decline this, if you even can't trust what you've got by email, then sadly there's no way more to resolve this.
PS: I don't oppose introducing Classical Mongolian (cmg), I just oppose using mn-mong and the reason is simply per GerardM.

ISO-639 is a total mess. What a shame!
Then, I think, there is no better way to go introducing Classical Mongolian (cmg).

Liuxinyu970226 closed this task as Declined.Jan 31 2019, 1:33 PM
This comment was removed by Liuxinyu970226.
Restricted Application removed a subscriber: Liuxinyu970226. · View Herald TranscriptJan 31 2019, 1:33 PM

@Badaa

ISO-639 is a total mess. What a shame!

https://www.mediawiki.org/wiki/Code_of_Conduct#Unacceptable_behavior states: 1. Personal attacks, violence, threats of violence, or deliberate intimidation.

It is inappropriate to see view point against a system as attack/threat/violence against individual person.

Restricted Application removed a subscriber: Liuxinyu970226. · View Herald TranscriptJan 31 2019, 1:35 PM
This comment was removed by Liuxinyu970226.

@C933103 Because he said me "shame".

I am pretty sure you have misunderstood the English phrase being used. Please check the following link: https://www.macmillandictionary.com/dictionary/british/oh-what-a-shame

Restricted Application removed a subscriber: Liuxinyu970226. · View Herald TranscriptJan 31 2019, 1:39 PM
Liuxinyu970226 added a comment.EditedJan 31 2019, 1:42 PM

So you still want this to be agreed by langcom, and you still wanna use mn-mong? Or you agreed to use cmg instead?

Well, as mentioned, the code cmg previously suggested as possible alternative is actually not appropriate according to email exchanges you have conducted with professors that know more about these terminology. And given the email exchange also confirmed that the current ISO language codes for Mongolian languages doesn't really make much sense either, it would also be wrong to use individual language code for such purpose. So following the convention already used by others should be the most sensible way to represent such text string in the wiki. But then, if certain member of Langcom stand firm on their position and unwilling to change, then no amount of sensibility can force them to change.

Liuxinyu970226 added a comment.EditedJan 31 2019, 2:06 PM

@C933103 That said, unless if other langcom officially posted a "within-member" vote, and its result is indeed 2/3 agreetion for mn-mong under voting policy, it's still true that this is a simple "one-oppose veto" case.

I opened T215032 to ensure that cmg will not fall in void, as this one.

@C933103 Because he said me "shame".

I am pretty sure you have misunderstood the English phrase being used. Please check the following link: https://www.macmillandictionary.com/dictionary/british/oh-what-a-shame

Sorry.
I have nothing to say on this conversation, other than to thank @C933103 for the explanation of the English phrase.

Restricted Application removed a subscriber: Liuxinyu970226. · View Herald TranscriptFeb 2 2019, 3:58 AM